
Katello - Bug #7264

Installers (katello, capsule) need to pull in java-1.7 as a requirement

08/26/2014 09:49 AM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee: Brad Buckingham   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1122129 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/110

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122129

Description of problem:

The product requires java 1.7 to run.  However, this is not installed on base RHEL installs (nor even necessarily up2date installs),

and has to be installed separately.  As such, we need to get it marked as a dep for Sat6 GA.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140716.0

Associated revisions

Revision 745f621f - 08/26/2014 10:20 PM - Brad Buckingham

refs #7264 - check for java, unless installing for capsule & update elasticsearch

This commit moves the java check from a check to a hook, so that

we can more easily differentiate the behavior for a capsule vs

server install.  In addition, if the installer is being run for

the capsule, skip the java check, since the capsule does not require

it.

This commit is also updating the elasticsearch module to address

the second item raised by issue 7264.

Revision 2022a15e - 08/26/2014 10:20 PM - Brad Buckingham

refs #7264 - update puppet-elasticsearch module

Revision f848d642 - 08/27/2014 12:19 PM - Mike McCune

Merge pull request #110 from bbuckingham/issue-7264

refs #7264 - check for java, unless installing for capsule

History

#1 - 08/26/2014 10:26 AM - Brad Buckingham

- Category set to Installer

- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 08/26/2014 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello-installer/pull/110 added

- Pull request deleted ()
#3 - 08/27/2014 09:24 AM - Eric Helms

- Target version changed from 63 to 55

#4 - 09/02/2014 02:38 PM - Eric Helms

- Status changed from Ready For Testing to Closed

#5 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
